`As_list` allows one to view a node as a list w.r.t. a particular `next` pointer contained within it. The recompute heap uses this with `next_in_recompute_heap`, and the adjust-heights heap uses this with `next_in_adjust_heights_heap`.

### Parameters

`M : sig ... end`

### Signature

`type t``= Incremental_kernel__.Types.Packed_node.t Incremental_kernel__.Uopt.t```
`include sig ... end`
`val sexp_of_t : t ‑> Base.Sexp.t`
`include Core_kernel.Invariant.S with type t := t`
`type t`````
`val invariant : t Base__.Invariant_intf.inv`
`val length : t ‑> int`
`val iter : t ‑> f:(Incremental_kernel__.Types.Packed_node.t ‑> unit) ‑> unit`